package com.qmth.paper.library.common.bean.dto.excel;

import com.qmth.paper.library.common.annotation.ExcelImportTempleteVaild;
import com.qmth.paper.library.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 系统用户导入Dto
 * @Author: CaoZixuan
 * @Date: 2021-08-12
 */
@ExcelImportTempleteVaild(value = true)
public class SysUserImportDto implements Serializable {

    @ExcelNote(value = "用户名")
    @NotNull
    private String loginName;

    @ExcelNote(value = "姓名")
    @NotNull
    private String name;

//    @ExcelNote(value = "手机号")
//    private String phoneNumber;

    @ExcelNote(value = "组织架构")
    @NotNull
    private String orgName;

    @ExcelNote(value = "角色")
    @NotNull
    private String roleName;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

//    public String getPhoneNumber() {
//        return phoneNumber;
//    }
//
//    public void setPhoneNumber(String phoneNumber) {
//        this.phoneNumber = phoneNumber;
//    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
}
